gnutls_session_set_finished_function(3)

NAME
gnutls_session_set_finished_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_session_set_finished_function(gnutls_session_t session, gnutls_finished_callback_func func);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_finished_callback_func func
    a gnutls_finished_callback_func callback.

DESCRIPTION
Register a callback function for the session that will be called when a TLS Finished message has been generated. The function is typically used to copy away the TLS finished message for later use as a channel binding or similar purpose.

THE CALLBACK SHOULD FOLLOW THIS PROTOTYPE
void callback (gnutls_session_t session, const void *finished, size_t len); The finished parameter will contain the binary TLS finished message, and len will contains its length. For SSLv3 connections, the len parameter will be 36 and for TLS connections it will be 12. It is recommended that the function returns quickly in order to not delay the handshake. Use the function to store a copy of the TLS finished message for later use.

SINCE
2.6.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.